<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>login</title>
    <link rel="stylesheet" href="/static/css/login.css">
    <script src="https://cdn.bootcss.com/blueimp-md5/2.12.0/js/md5.min.js"></script>
<!--    <script src="https://libs.baidu.com/jquery/2.0.0/jquery.js"></script>-->
    <script src="http://apps.bdimg.com/libs/jquery/2.1.1/jquery.min.js"></script>
</head>
<body>
    <div class="container">
        <div class="login-wrapper">
            <div class="header">Entry Task</div>
            {{ msg }}
            <div class="form-wrapper">
                <form action="/login/" method="post" name="myform" onsubmit="return check()">
                    <input type="text" name="username" placeholder="用户名" class="input-item">
                    <input type="password" name="password" placeholder="密码" class="input-item" id="pwd">
                    {% csrf_token %}
                    <input type="button" id="login" class="btn" value="登陆" onclick="return check()" />
                </form>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        function check() {
            if($("input[name='username']").val()=='') {
                $("input[name='username']").attr('placeholder','用户名不能为空')
                return false
            }
            else if($("input[name='password']").val()==''){
                $("input[name='password']").attr('placeholder','密码不能为空')
                return false
            }
            var pwd = document.getElementById('pwd');
            pwd.value = md5(pwd.value);
            let request = {
                'username': $("input[name='username']").val(),
                'password': pwd.value,
            }
            $.ajax({
                type: "POST",
                url: "/login/",
                data: JSON.stringify(request),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (res){
                    if(res.status == 100){
                        window.location.href="/user_profile/"
                    } else {
                        alert(res.msg)
                    }
                },
                error: function (res){
                    alert(res.msg)
                }
            });
         }



    </script>
</body>
</html>
